package ru.ulstu.grant.model;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;
import java.util.Date;

public class DeadlineDto {
    private final Integer id;

    @NotNull
    private final Integer grantId;

    @JsonCreator
    public DeadlineDto(@JsonProperty("id") Integer id,
                       @JsonProperty("grantId") Integer grantId){
        this.id = id;
        this.grantId = grantId;
    }

    public DeadlineDto(Deadline deadline) {
        this.id = deadline.getId();
        this.grantId = deadline.getGrantId();
    }

    public Integer getId() {
        return id;
    }

    public Integer getGrantId() { return grantId; }
}
